package org.icann.tld.util;

import junit.framework.TestCase;

public class DomainNameUtilTest extends TestCase {

    public void testGetTopLevelDomain() throws Exception {
        String tld = new DomainNameUtil().getTopLevelDomain("icann.org");
        assertEquals("org", tld);
        tld = new DomainNameUtil().getTopLevelDomain("icann.org.");
        assertEquals("org", tld);
        tld = new DomainNameUtil().getTopLevelDomain(".icann.org.");
        assertEquals("org", tld);
        tld = new DomainNameUtil().getTopLevelDomain(".org.");
        assertEquals("org", tld);
        tld = new DomainNameUtil().getTopLevelDomain("org");
        assertEquals("org", tld);
    }
}
